## python-meshio 1.11.7

=== Makefile ===
VERSION=$(shell python3 -c "import meshio; print(meshio.__version__)")

default:
	@echo "\"make publish\"?"

README.rst: README.md
	cat README.md | sed -e 's_<img src="\([^"]*\)" width="\([^"]*\)">_![](\1){width="\2"}_g' -e 's_<p[^>]*>__g' -e 's_</p>__g' > /tmp/README.md
	pandoc /tmp/README.md -o README.rst
	python3 setup.py check -r -s || exit 1

upload: setup.py README.rst
	# Make sure we're on the master branch
	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "master" ]; then exit 1; fi
	rm -f dist/*
	python3 setup.py bdist_wheel --universal
	gpg --detach-sign -a dist/*
	twine upload dist/*

tag:
	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "master" ]; then exit 1; fi
	@echo "Tagging v$(VERSION)..."
	git tag v$(VERSION)
	git push --tags

publish: tag upload

clean:
	rm -f README.rst

=== debian/changelog ===
python-meshio (1.11.7-1) unstable; urgency=medium

  * New upstream version 1.11.7
  * Refresh the patch queue
  * Update the copyright years
  * Remove obsolete dependency on lxml
  * Drop the get-orig-source target
  * Point the VCS URIs to salsa.debian.org
  * Bump the debhelper version to 11
  * Bump the standards version to 4.1.3

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 15 Feb 2018 16:36:19 +0000

python-meshio (1.9.3-1) unstable; urgency=medium

  * New upstream version 1.9.3
  * Refresh the patch queue
  * Add new dependency on netCDF4
  * Add support for nocheck builds

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 21 Nov 2017 09:23:35 +0000

python-meshio (1.8.17-1) unstable; urgency=medium

  * New upstream version 1.8.17
  * Bump the standards version to 4.1.1

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 31 Oct 2017 09:20:10 +0000

python-meshio (1.8.16-1) unstable; urgency=medium

  * New upstream version 1.8.16
  * Filter egg-info directory with extend-diff-ignore
  * Add recommended get-orig-source target
  * Fixup whitespacing in rules file
  * Add Nico Schlömer to Uploaders
  * Bump the standards version to 4.1.0

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 13 Sep 2017 09:41:09 +0100

python-meshio (1.8.14-1) unstable; urgency=low

  * Initial release. (Closes: #872318)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 16 Aug 2017 21:52:08 +0100

=== debian/control ===
Source: python-meshio
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
           Nico Schlömer <nico.schloemer@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               dpkg-dev (>= 1.17.14),
               pandoc,
               python3-all,
               python3-h5py <!nocheck>,
               python3-netcdf4 <!nocheck>,
               python3-numpy <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools,
#               python3-vtk7 <!nocheck>
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/python-meshio
Vcs-Git: https://salsa.debian.org/science-team/python-meshio.git
Homepage: https://github.com/nschloe/meshio
X-Python3-Version: >= 3.2

Package: python3-meshio
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Recommends: python3-h5py,
            python3-netcdf4
#            python3-vtk7
Description: library for reading and writing mesh data (Python 3)
 Meshio can read from and write to various data formats representing
 unstructured meshes, such as DOLFIN, Gmsh, H5M or VTK.
 .
 This package provides the modules for Python 3.

Package: meshio-tools
Architecture: all
Section: utils
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-meshio
Description: command-line tools for meshio
 Meshio can read from and write to various data formats representing
 unstructured meshes, such as DOLFIN, Gmsh, H5M or VTK.
 .
 This package provides the command-line tools.

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=meshio
export PYBUILD_DESTDIR_python3=debian/python3-$(PYBUILD_NAME)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	pandoc -s -t man debian/meshio-convert.md \
		-o meshio-convert.1

override_dh_auto_install:
	dh_auto_install
	dh_movefiles --package=$(PYBUILD_NAME)-tools \
		--sourcedir=$(PYBUILD_DESTDIR_python3) usr/bin

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r test "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v test
 ; done
Depends: python3-all,
         python3-meshio,
         python3-pytest
Restrictions: needs-recommends

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?@ANY_VERSION@\.tar\.gz/meshio-$1\.tar\.gz/ \
https://github.com/nschloe/meshio/tags .*/v?@ANY_VERSION@\.tar\.gz

## python-meshio 2.1.0

=== debian/changelog ===
python-meshio (2.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Thu, 09 Aug 2018 20:02:43 +0800

python-meshio (2.0.4-2) unstable; urgency=medium

  * Team upload.
  * python3-meshio Depends: python3-lxml. Closes: #904424.

 -- Drew Parsons <dparsons@debian.org>  Wed, 25 Jul 2018 11:45:21 +0800

python-meshio (2.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0.4
  * Bump the standards version to 4.1.5
  * remove ancient-python-version-field X-Python3-Version

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Jul 2018 20:36:15 +0800

python-meshio (1.11.7-2) unstable; urgency=medium

  * Prevent install of files under dist-packages.
    Thanks to Chris Lamb for the patch (Closes: #892019)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 06 Mar 2018 20:17:14 +0000

=== debian/control ===
--- 
+++ 
@@ -10,20 +10,21 @@
                pandoc,
                python3-all,
                python3-h5py <!nocheck>,
+               python3-lxml <!nocheck>,
                python3-netcdf4 <!nocheck>,
                python3-numpy <!nocheck>,
                python3-pytest <!nocheck>,
                python3-setuptools,
 #               python3-vtk7 <!nocheck>
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Vcs-Browser: https://salsa.debian.org/science-team/python-meshio
 Vcs-Git: https://salsa.debian.org/science-team/python-meshio.git
 Homepage: https://github.com/nschloe/meshio
-X-Python3-Version: >= 3.2
 
 Package: python3-meshio
 Architecture: all
-Depends: ${misc:Depends},
+Depends: python3-lxml,
+         ${misc:Depends},
          ${python3:Depends}
 Recommends: python3-h5py,
             python3-netcdf4

## python-meshio 2.3.3

=== Makefile ===
VERSION=$(shell python3 -c "import meshio; print(meshio.__version__)")

default:
	@echo "\"make publish\"?"

tag:
	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "master" ]; then exit 1; fi
	@echo "Tagging v$(VERSION)..."
	git tag v$(VERSION)
	git push --tags

upload: setup.py
	# Make sure we're on the master branch
	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "master" ]; then exit 1; fi
	rm -f dist/*
	python3 setup.py sdist
	python3 setup.py bdist_wheel --universal
	twine upload dist/*

publish: tag upload

clean:
	@find . | grep -E "(__pycache__|\.pyc|\.pyo$\)" | xargs rm -rf
	@rm -rf *.egg-info/ build/ dist/

black:
	black setup.py meshio/ test/*.py

lint:
	black --check setup.py meshio/ test/*.py
	flake8 setup.py meshio/ test/*.py

=== debian/changelog ===
python-meshio (2.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Fri, 26 Oct 2018 22:27:28 +0800

python-meshio (2.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.2.1
  * Drop autopkgtest needs-recommends (deprecated).
    Let tests explicitly depend on python3-h5py, python3-netcdf4

 -- Drew Parsons <dparsons@debian.org>  Tue, 25 Sep 2018 19:55:53 +0800

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-pytest <!nocheck>,
                python3-setuptools,
 #               python3-vtk7 <!nocheck>
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/science-team/python-meshio
 Vcs-Git: https://salsa.debian.org/science-team/python-meshio.git
 Homepage: https://github.com/nschloe/meshio

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 
 export PYBUILD_NAME=meshio
 export PYBUILD_DESTDIR_python3=debian/python3-$(PYBUILD_NAME)
+
+# Don't install files generated by the test suite (#892019).
+export PYBUILD_AFTER_TEST=find {build_dir} -type f -maxdepth 1 -delete
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
--- 
+++ 
@@ -7,5 +7,6 @@
  ; done
 Depends: python3-all,
          python3-meshio,
-         python3-pytest
-Restrictions: needs-recommends
+         python3-pytest,
+         python3-h5py,
+         python3-netcdf4

## python-meshio 3.0.2

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "master" ]; then exit 1; fi
 	rm -f dist/*
 	python3 setup.py sdist
-	python3 setup.py bdist_wheel --universal
+	python3 setup.py bdist_wheel
 	twine upload dist/*
 
 publish: tag upload
@@ -23,9 +23,13 @@
 	@find . | grep -E "(__pycache__|\.pyc|\.pyo$\)" | xargs rm -rf
 	@rm -rf *.egg-info/ build/ dist/
 
+format:
+	isort -rc .
+	black .
+
 black:
-	black setup.py meshio/ test/*.py
+	black .
 
 lint:
-	black --check setup.py meshio/ test/*.py
+	black --check .
 	flake8 setup.py meshio/ test/*.py

=== debian/changelog ===
python-meshio (3.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.4.0

 -- Drew Parsons <dparsons@debian.org>  Wed, 24 Jul 2019 18:43:53 +0800

python-meshio (2.3.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sun, 07 Jul 2019 13:28:00 +0800

python-meshio (2.3.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian patch skip_reference_file_tests.patch:
    add test_abaqus.py to the reference test banned list.

 -- Drew Parsons <dparsons@debian.org>  Sat, 01 Jun 2019 16:44:34 +0800

python-meshio (2.3.7-2) unstable; urgency=medium

  * Team upload.
  * debian/tests/control  Depends: python3-requests

 -- Drew Parsons <dparsons@debian.org>  Thu, 02 May 2019 23:32:32 +0800

python-meshio (2.3.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies Debian patch No-pipdate.patch
  * Build-Depends: python3-requests
  * apply Debian patch skip_reference_file_tests.patch
    - skips reference file tests, since a network connection to remote
      reference mesh files cannot be established at build time
      (see https://github.com/nschloe/meshio/issues/380)

 -- Drew Parsons <dparsons@debian.org>  Thu, 02 May 2019 23:08:06 +0800

python-meshio (2.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.3.0
  * debhelper compatibility level 12: debhelper-compat (= 12)

 -- Drew Parsons <dparsons@debian.org>  Tue, 05 Mar 2019 17:40:14 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Nico Schlömer <nico.schloemer@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                dpkg-dev (>= 1.17.14),
                pandoc,
@@ -14,9 +14,10 @@
                python3-netcdf4 <!nocheck>,
                python3-numpy <!nocheck>,
                python3-pytest <!nocheck>,
+               python3-requests <!nocheck>,
                python3-setuptools,
 #               python3-vtk7 <!nocheck>
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/science-team/python-meshio
 Vcs-Git: https://salsa.debian.org/science-team/python-meshio.git
 Homepage: https://github.com/nschloe/meshio

## python-meshio 3.1.6

=== Makefile ===
--- 
+++ 
@@ -32,4 +32,4 @@
 
 lint:
 	black --check .
-	flake8 setup.py meshio/ test/*.py
+	flake8 .

=== debian/changelog ===
python-meshio (3.1.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.4.1
  * debian patch 32bit_relax_test_tolerance.patch relaxes tolerance in
    test_vtk.py::test_reference_file for 32 bit installations to enable
    tests to pass on i386. Closes: #941585.

 -- Drew Parsons <dparsons@debian.org>  Sat, 05 Oct 2019 14:32:47 +0800

python-meshio (3.1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Thu, 12 Sep 2019 15:27:41 +0800

python-meshio (3.1.1-1) unstable; urgency=medium

  * Team upload.
  * set debian/watch to track upstream git tags, in order to use
    upstream git lfs objects (lfs is used for mesh files)
  * New upstream release.
    - git lfs is now used to store reference test mesh files, so drop
      debian patch skip_reference_file_tests.patch

 -- Drew Parsons <dparsons@debian.org>  Mon, 19 Aug 2019 00:00:03 +0800

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                python3-requests <!nocheck>,
                python3-setuptools,
 #               python3-vtk7 <!nocheck>
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/science-team/python-meshio
 Vcs-Git: https://salsa.debian.org/science-team/python-meshio.git
 Homepage: https://github.com/nschloe/meshio

## python-meshio 3.3.1

=== Makefile ===
--- 
+++ 
@@ -8,8 +8,10 @@
 	@echo "Tagging v$(VERSION)..."
 	git tag v$(VERSION)
 	git push --tags
+	# Always create a github "release" right after tagging so it appears on zenodo
+	curl -H "Authorization: token `cat $(HOME)/.github-access-token`" -d '{"tag_name": "$(VERSION)"}' https://api.github.com/repos/nschloe/meshio/releases
 
-upload: setup.py
+upload: clean setup.py
 	# Make sure we're on the master branch
 	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "master" ]; then exit 1; fi
 	rm -f dist/*

=== requirements.txt ===
# runtime
numpy

# optional runtime
netCDF4
h5py
lxml

# development
pytest
isort
black; python_version >= '3.6'
flake8
twine

=== debian/changelog ===
python-meshio (3.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sun, 22 Dec 2019 10:23:08 +1100

python-meshio (3.2.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 Nov 2019 14:57:33 +0800

python-meshio (3.2.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. Closes: #942675.

 -- Drew Parsons <dparsons@debian.org>  Sat, 26 Oct 2019 13:21:32 +0800

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export PYBUILD_DESTDIR_python3=debian/python3-$(PYBUILD_NAME)
 
 # Don't install files generated by the test suite (#892019).
-export PYBUILD_AFTER_TEST=find {build_dir} -type f -maxdepth 1 -delete
+export PYBUILD_AFTER_TEST=find {build_dir} -maxdepth 1 -type f -delete
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## python-meshio 4.0.4

=== Makefile ===
--- 
+++ 
@@ -5,11 +5,11 @@
 
 tag:
 	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "master" ]; then exit 1; fi
-	@echo "Tagging v$(VERSION)..."
-	git tag v$(VERSION)
-	git push --tags
+	@echo "Tagging release version v$(VERSION)..."
+	# git tag v$(VERSION)
+	# git push --tags
 	# Always create a github "release" right after tagging so it appears on zenodo
-	curl -H "Authorization: token `cat $(HOME)/.github-access-token`" -d '{"tag_name": "$(VERSION)"}' https://api.github.com/repos/nschloe/meshio/releases
+	curl -H "Authorization: token `cat $(HOME)/.github-access-token`" -d '{"tag_name": "v$(VERSION)"}' https://api.github.com/repos/nschloe/meshio/releases
 
 upload: clean setup.py
 	# Make sure we're on the master branch

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,6 @@
 # optional runtime
 netCDF4
 h5py
-lxml
 
 # development
 pytest

=== debian/changelog ===
python-meshio (4.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - changes mesh.cells api from dict structure to tuple structure,
      see /usr/share/doc/python3-meshio/changelog.gz
  * Standards-Version: 4.5.0
  * new debian patches:
    - paraview_plugin_path.patch installs paraview plugin in path
      monitored by paraview (/usr/bin/plugins), provided in
      meshio-tools.
    - paraview_plugin_fix.patch fixes extension_to_filetype in
      paraview plugin.

 -- Drew Parsons <dparsons@debian.org>  Mon, 24 Feb 2020 02:21:46 +0800

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                python3-requests <!nocheck>,
                python3-setuptools,
 #               python3-vtk7 <!nocheck>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/python-meshio
 Vcs-Git: https://salsa.debian.org/science-team/python-meshio.git
 Homepage: https://github.com/nschloe/meshio
@@ -46,4 +46,5 @@
  Meshio can read from and write to various data formats representing
  unstructured meshes, such as DOLFIN, Gmsh, H5M or VTK.
  .
- This package provides the command-line tools.
+ This package provides the command-line tools, and a plugin for
+ paraview.

=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,4 @@
 	dh_auto_install
 	dh_movefiles --package=$(PYBUILD_NAME)-tools \
 		--sourcedir=$(PYBUILD_DESTDIR_python3) usr/bin
+	cd debian/python3-meshio/usr; rmdir -p bin/plugins

=== debian/tests/control ===
--- 
+++ 
@@ -9,4 +9,5 @@
          python3-meshio,
          python3-pytest,
          python3-h5py,
-         python3-netcdf4
+         python3-netcdf4,
+         python3-requests

## python-meshio 4.1.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=$(shell python3 -c "import meshio; print(meshio.__version__)")
+VERSION=$(shell python3 -c "from configparser import ConfigParser; p = ConfigParser(); p.read('setup.cfg'); print(p['metadata']['version'])")
 
 default:
 	@echo "\"make publish\"?"
@@ -11,12 +11,13 @@
 	# Always create a github "release" right after tagging so it appears on zenodo
 	curl -H "Authorization: token `cat $(HOME)/.github-access-token`" -d '{"tag_name": "v$(VERSION)"}' https://api.github.com/repos/nschloe/meshio/releases
 
-upload: clean setup.py
+upload: clean
 	# Make sure we're on the master branch
 	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "master" ]; then exit 1; fi
 	rm -f dist/*
-	python3 setup.py sdist
-	python3 setup.py bdist_wheel
+	# python3 setup.py sdist bdist_wheel
+	# https://stackoverflow.com/a/58756491/353337
+	python3 -m pep517.build --source --binary .
 	twine upload dist/*
 
 publish: tag upload
@@ -26,10 +27,7 @@
 	@rm -rf *.egg-info/ build/ dist/
 
 format:
-	isort -rc .
-	black .
-
-black:
+	isort .
 	black .
 
 lint:

=== debian/changelog ===
python-meshio (4.1.0-2) unstable; urgency=medium

  * Team upload.
  * point /usr/bin/plugins link at /usr/share/paraview_5.8.
    Closes: #964078.

 -- Drew Parsons <dparsons@debian.org>  Fri, 14 Aug 2020 15:26:32 +0800

python-meshio (4.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debhelper compatibility level 13
  * update msh2xdmf and document in debian/README.source

 -- Drew Parsons <dparsons@debian.org>  Fri, 14 Aug 2020 15:07:59 +0800

python-meshio (4.0.16-3) unstable; urgency=medium

  * Team upload.
  * debian/tests (autopkgtest):
    Depends: python3-dolfin-real
  * add source/lintian-overrides to indicate debian/* is deliberately
    listed last in debian/copyright after upstream content
    (ignore lintian globbing-patterns-out-of-order)

 -- Drew Parsons <dparsons@debian.org>  Mon, 03 Aug 2020 13:23:32 +0800

python-meshio (4.0.16-2) unstable; urgency=medium

  * Team upload.
  * debian/tests (autopkgtest) Depends: python3-dolfin
    (used in msh2xdmf tests)

 -- Drew Parsons <dparsons@debian.org>  Thu, 02 Jul 2020 14:05:36 +0800

python-meshio (4.0.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * acknowledge msh2xdmf in meshio-tools package description
  * pull in msh2xdmf as git subtree (provides msh2xdmf tests):
    git subtree add --prefix debian/msh2xdmf
      https://github.com/floiseau/msh2xdmf master --squash 
    - list HDF5 binary test files in debian/source/include-binaries
    - currently msh2xdmf May 31, 2020 commit 7075b55
  * install msh2xdmf as python module (can import in python,
    or invoke as msh2xdmf program from command line)
  * add msh2xdmf to debian/tests (autopkgtest)

 -- Drew Parsons <dparsons@debian.org>  Wed, 01 Jul 2020 11:45:21 +0800

python-meshio (4.0.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Build-Depends: python3-importlib-metadata
  * debian/patches/setup.py.patch reinstates setup.py, needed by
    pybuild but removed upstream (PEP517).

 -- Drew Parsons <dparsons@debian.org>  Mon, 04 May 2020 18:41:23 +0800

python-meshio (4.0.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Build-Depends: python3-setuptools (>= 42~), python3-wheel
  * add Flavien Loiseau's msh2xdmf converter tool (msh to xdmf)
    from https://github.com/floiseau/msh2xdmf to meshio-tools
  * paraview plugin installed to /usr/share. Drop debian patch
    paraview_plugin_path.patch and link plugin to /usr/bin/plugins
    until paraview recognises proper location.

 -- Drew Parsons <dparsons@debian.org>  Wed, 15 Apr 2020 14:50:26 +0800

python-meshio (4.0.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patch paraview_plugin_fix.patch

 -- Drew Parsons <dparsons@debian.org>  Mon, 09 Mar 2020 15:39:31 +0800

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,20 @@
            Nico Schlömer <nico.schloemer@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                dpkg-dev (>= 1.17.14),
                pandoc,
                python3-all,
                python3-h5py <!nocheck>,
+               python3-importlib-metadata <!nocheck>,
                python3-lxml <!nocheck>,
                python3-netcdf4 <!nocheck>,
                python3-numpy <!nocheck>,
                python3-pytest <!nocheck>,
                python3-requests <!nocheck>,
-               python3-setuptools,
+               python3-setuptools (>= 42~),
+               python3-wheel
 #               python3-vtk7 <!nocheck>
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/python-meshio
@@ -48,3 +50,6 @@
  .
  This package provides the command-line tools, and a plugin for
  paraview.
+ .
+ This package also provides Flavien Loiseau's msh2xdmf tool to
+ convert from MSH to XDMF mesh formats.

=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,10 @@
 	dh_auto_build
 	pandoc -s -t man debian/meshio-convert.md \
 		-o meshio-convert.1
+	pandoc -s -t man debian/msh2xdmf.md \
+		-o msh2xdmf.1
 
 override_dh_auto_install:
 	dh_auto_install
 	dh_movefiles --package=$(PYBUILD_NAME)-tools \
-		--sourcedir=$(PYBUILD_DESTDIR_python3) usr/bin
-	cd debian/python3-meshio/usr; rmdir -p bin/plugins
+		--sourcedir=$(PYBUILD_DESTDIR_python3) usr/bin usr/share

=== debian/tests/control ===
Tests: test-meshio test-msh2xdmf
Depends: python3-all,
 python3-meshio,
 meshio-tools,
 python3-pytest,
 python3-dolfin,
 python3-dolfin-real,
 python3-h5py,
 python3-netcdf4,
 python3-requests

## python-meshio 4.3.9

=== debian/changelog ===
python-meshio (4.3.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - fixes crash when Physical Point is defined in gmsh
    - adds VTK Lagrange elements
    - improves tecplot handling

 -- Drew Parsons <dparsons@debian.org>  Tue, 16 Feb 2021 03:52:59 +0100

python-meshio (4.3.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patch typo_uint32.patch
  * override dh_auto_clean to manually remove manually generated
    manpages meshio-convert.1 msh2xdmf.1
  * meshio-tools: stop installing paraview plugin in /usr/bin/plugins
    (installs under /usr/share/paraview*). Note that
    the plugin is not compatible with paraview 5.9, see Bug#981378.
    Rename /usr/share/paraview_* as /usr/share/paraview-*

 -- Drew Parsons <dparsons@debian.org>  Sun, 31 Jan 2021 01:55:22 +0100

python-meshio (4.3.5-2) unstable; urgency=medium

  * Team upload.
  * debian patch typo_uint32.patch fixes uint32 type. Closes: #975092.
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Nov 2020 14:45:29 +0800

python-meshio (4.3.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Fri, 13 Nov 2020 23:22:15 +0800

python-meshio (4.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * allow-stderr in debian/tests to ignore Python syntax warnings
    (warnings sent to stderr)

 -- Drew Parsons <dparsons@debian.org>  Wed, 28 Oct 2020 18:37:33 +0800

python-meshio (4.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * use help2man to generate manpages for utilities in meshio-tools

 -- Drew Parsons <dparsons@debian.org>  Sat, 17 Oct 2020 23:44:04 +0800

python-meshio (4.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Fri, 11 Sep 2020 18:49:31 +0800

## python-meshio 4.3.11

=== Makefile ===
VERSION=$(shell python3 -c "from configparser import ConfigParser; p = ConfigParser(); p.read('setup.cfg'); print(p['metadata']['version'])")

.PHONY: default tag upload publish clean format lint

default:
	@echo "\"make publish\"?"

tag:
	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "main" ]; then exit 1; fi
	@echo "Tagging release version v$(VERSION)..."
	# git tag v$(VERSION)
	# git push --tags
	# Always create a github "release" right after tagging so it appears on zenodo
	curl -H "Authorization: token `cat $(HOME)/.github-access-token`" -d '{"tag_name": "v$(VERSION)"}' https://api.github.com/repos/nschloe/meshio/releases

upload: clean
	# Make sure we're on the main branch
	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "main" ]; then exit 1; fi
	# python3 setup.py sdist bdist_wheel
	# https://stackoverflow.com/a/58756491/353337
	python3 -m build --sdist --wheel .
	twine upload dist/*

publish: tag upload

clean:
	@find . | grep -E "(__pycache__|\.pyc|\.pyo$\)" | xargs rm -rf
	@rm -rf *.egg-info/ build/ dist/

format:
	isort .
	black .
	blacken-docs README.md

lint:
	black --check .
	flake8 .

=== test/meshes/msh/Makefile ===
%-2.2.msh: %.geo
	gmsh -2 -format msh2 -o $@ $<
%-4.1.msh: %.geo
	gmsh -2 -o $@ $<
all: insulated-2.2.msh insulated-4.1.msh

=== debian/changelog ===
python-meshio (4.3.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - improves handling of STL and MED files

 -- Drew Parsons <dparsons@debian.org>  Tue, 09 Mar 2021 12:04:58 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                python3-setuptools (>= 42~),
                python3-wheel
 #               python3-vtk7 <!nocheck>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/python-meshio
 Vcs-Git: https://salsa.debian.org/science-team/python-meshio.git
 Homepage: https://github.com/nschloe/meshio

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,10 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f meshio-convert.1 msh2xdmf.1
+
 override_dh_auto_build:
 	dh_auto_build
 	pandoc -s -t man debian/meshio-convert.md \
@@ -21,5 +25,9 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	dh_movefiles --package=$(PYBUILD_NAME)-tools \
-		--sourcedir=$(PYBUILD_DESTDIR_python3) usr/bin usr/share
+	dh_movefiles -pmeshio-tools --sourcedir=debian/python3-meshio usr/bin
+	mkdir -p debian/meshio-tools/usr/share
+	mv debian/python3-meshio/usr/share/paraview* debian/meshio-tools/usr/share
+	cd debian/meshio-tools/usr/share; for p in paraview_*; do \
+	  mv $$p `echo $$p | sed "s/paraview_/paraview-/"`; \
+	done

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=none" \
https://github.com/nschloe/meshio.git \
refs/tags/v([\d\.]+) debian uupdate

## python-meshio 4.4.6

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 clean:
 	@find . | grep -E "(__pycache__|\.pyc|\.pyo$\)" | xargs rm -rf
-	@rm -rf *.egg-info/ build/ dist/
+	@rm -rf src/*.egg-info/ build/ dist/ .tox/ .pytest_cache/
 
 format:
 	isort .

=== debian/changelog ===
python-meshio (4.4.6-1ubuntu1) impish; urgency=medium

  * Read binary STL file in little-endian byte order (LP: #1939057)

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 26 Sep 2021 05:21:42 +0000

python-meshio (4.4.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - test dir has changed name to tests
  * update to current msh2xdmf: 22 Apr 2021 commit b562903
  * python3-meshio Recommends: meshio-tools

 -- Drew Parsons <dparsons@debian.org>  Fri, 23 Jul 2021 12:49:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: python-meshio
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
            Nico Schlömer <nico.schloemer@gmail.com>
 Section: python
@@ -29,9 +30,10 @@
 Depends: python3-lxml,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: python3-h5py,
-            python3-netcdf4
-#            python3-vtk7
+Recommends: meshio-tools,
+ python3-h5py,
+ python3-netcdf4
+# python3-vtk7
 Description: library for reading and writing mesh data (Python 3)
  Meshio can read from and write to various data formats representing
  unstructured meshes, such as DOLFIN, Gmsh, H5M or VTK.

## python-meshio 5.3.0

=== debian/changelog ===
python-meshio (5.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - deprecates debian patch skip_tests.patch
    - versioned Build-Depends: python3-numpy (>= 1.20.0~)
    - Build-Depends: python3-rich
  * Build-Depends: pybuild-plugin-pyproject to build from
    pyproject.toml without setup.py.
    - drop debian patch setup.py.patch
  * debian/rules: update handling of paraview plugin
  * skip conversion tests in msh2xdmf. Requires updating for latest
    meshio, see https://github.com/floiseau/msh2xdmf/issues/14

 -- Drew Parsons <dparsons@debian.org>  Wed, 26 Jan 2022 12:08:01 +0100

python-meshio (5.0.3-2) unstable; urgency=medium

  * Team upload.
  * debian patch skip_tests.patch skips test_deduplicate_points in
    test_mesh.py on 32-bit systems. See upstream Issue#1222.

 -- Drew Parsons <dparsons@debian.org>  Wed, 24 Nov 2021 16:54:59 +0100

python-meshio (5.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Build-Depends: python3-npx (>= 0.0.22~)

 -- Drew Parsons <dparsons@debian.org>  Mon, 22 Nov 2021 10:16:04 +0100

python-meshio (5.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.6.0
  * add :any to Build-Depends: python3-all:any
  * reorder debian/copyright to list debian/* before  debian/msh2xdmf/*
  * meshio-tools: all tools replaced by single meshio executable
    (apart from the separate msh2xdmf tool)
  * refresh installation of paraview plugin (now uses - not _)
  * remove egg directory from src in clean rule

 -- Drew Parsons <dparsons@debian.org>  Sun, 31 Oct 2021 10:57:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,28 @@
 Source: python-meshio
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
            Nico Schlömer <nico.schloemer@gmail.com>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                dpkg-dev (>= 1.17.14),
                pandoc,
-               python3-all,
+               python3-all:any,
                python3-h5py <!nocheck>,
                python3-importlib-metadata <!nocheck>,
                python3-lxml <!nocheck>,
                python3-netcdf4 <!nocheck>,
-               python3-numpy <!nocheck>,
+               python3-npx (>= 0.0.22~),
+               python3-numpy (>= 1.20.0~),
                python3-pytest <!nocheck>,
                python3-requests <!nocheck>,
+               python3-rich <!nocheck>,
                python3-setuptools (>= 42~),
                python3-wheel
 #               python3-vtk7 <!nocheck>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/python-meshio
 Vcs-Git: https://salsa.debian.org/science-team/python-meshio.git
 Homepage: https://github.com/nschloe/meshio

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=meshio
export PYBUILD_DESTDIR_python3=debian/python3-$(PYBUILD_NAME)

# Don't install files generated by the test suite (#892019).
export PYBUILD_AFTER_TEST=find {build_dir} -maxdepth 1 -type f -delete

PY3DEF=$(shell py3versions -dv )

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf src/meshio.egg-info
	rm -f msh2xdmf.1

override_dh_auto_build:
	dh_auto_build
	pandoc -s -t man debian/msh2xdmf.md \
		-o msh2xdmf.1

override_dh_auto_install:
	dh_auto_install
	dh_movefiles -pmeshio-tools --sourcedir=debian/python3-meshio usr/bin
	mkdir -p debian/meshio-tools/usr/share
	mv debian/python3-meshio/usr/lib/python$(PY3DEF)/dist-packages/share/paraview* debian/meshio-tools/usr/share
	rm -rf debian/python3-meshio/usr/lib/python*/dist-packages/share

## python-meshio 7.0.0

=== debian/changelog ===
python-meshio (7.0.0-3) unstable; urgency=medium

  * Team upload.
  * debian patch pyproject.toml_depends.patch adds rich to list of
    dependencies in pyproject.toml (setup.cfg is no longer
    authoritative, so dh_python3 now misses the dependency).
    Closes: #1027173.

 -- Drew Parsons <dparsons@debian.org>  Fri, 30 Dec 2022 13:41:11 +0100

python-meshio (7.0.0-2) unstable; urgency=medium

  * Team upload.
  * update debian/rules: tools now install paraview script correctly
    into usr/share not the python module dir.  Closes: #1026646.
  * debian/tests: run tests over all supported python versions
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Wed, 28 Dec 2022 00:43:12 +0100

python-meshio (7.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - drops Build-Depends: python3-npx
  * update debian/watch to syntax currently recommended by uscan

 -- Drew Parsons <dparsons@debian.org>  Sun, 12 Jun 2022 22:33:31 +0200

python-meshio (5.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * patch msh2xdmf.py to work with meshio 5.  Thanks Bruno Agostini.
    (see https://github.com/floiseau/msh2xdmf/issues/14)
    - reinstate conversion tests for msh2xdmf

 -- Drew Parsons <dparsons@debian.org>  Thu, 03 Mar 2022 16:10:56 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
                python3-importlib-metadata <!nocheck>,
                python3-lxml <!nocheck>,
                python3-netcdf4 <!nocheck>,
-               python3-npx (>= 0.0.22~),
                python3-numpy (>= 1.20.0~),
                python3-pytest <!nocheck>,
                python3-requests <!nocheck>,
@@ -22,7 +21,7 @@
                python3-setuptools (>= 42~),
                python3-wheel
 #               python3-vtk7 <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/python-meshio
 Vcs-Git: https://salsa.debian.org/science-team/python-meshio.git
 Homepage: https://github.com/nschloe/meshio

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,5 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	dh_movefiles -pmeshio-tools --sourcedir=debian/python3-meshio usr/bin
-	mkdir -p debian/meshio-tools/usr/share
-	mv debian/python3-meshio/usr/lib/python$(PY3DEF)/dist-packages/share/paraview* debian/meshio-tools/usr/share
-	rm -rf debian/python3-meshio/usr/lib/python*/dist-packages/share
+	dh_movefiles -pmeshio-tools --sourcedir=debian/python3-meshio usr/bin usr/share/paraview*/plugins
+	cd debian/python3-meshio/usr/share; rmdir -p paraview*/plugins

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/nschloe/meshio/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## python-meshio 7.0.0-really-5.3.5

=== debian/changelog ===
python-meshio (7.0.0-really-5.3.5-6) unstable; urgency=medium

  * debian patch vtu_cell_dtype.patch aligns vtu cell and offset dtype
    to the cell dtype. cell dtype may be uint64 while offset is int64.
    Adding them gives float64, which breaks meshplex tests using
    pacman.vtu. Closes: #1094984.

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 May 2025 01:29:54 +0200

python-meshio (7.0.0-really-5.3.5-5) unstable; urgency=medium

  * replace debian patch dolfin_test_fix_numpy2_PR1506.patch with
    numpy2_PR1513.patch (upstream PR#1513) to fix formatting of
    numbers with numpy2. Reenable test_gmsh and test_ugrid.
    Closes: #1094985.
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Tue, 06 May 2025 22:46:33 +0200

python-meshio (7.0.0-really-5.3.5-4) unstable; urgency=medium

  * Team upload.
  * Add patch dolfin_test_fix_numpy2_PR1506.patch to fix failure in
    tests/test_dolfin.py::test_dolfin. See Bug #1094985.
  * Temporarily skip tests test_gmsh and test_ugrid which are currently failing
    against numpy 2. See Bug #1094985.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Thu, 13 Feb 2025 05:56:47 +0000

python-meshio (7.0.0-really-5.3.5-3) unstable; urgency=medium

  * apply selected PRs from upstream in debian patches
    - fix_STL_write_ascii_PR1418.patch
    - update_su2_PR1430.patch
    - abaqus_16_integer_PR1445.patch
    - VTK_TENSORS_PR1459.patch
    - VTU_polyhedra_PR1463.patch
    - xdmf_time_series_PR1464.patch
    - netgen_skip_new_face_blocks_PR1465.patch
    - support_DGF_PR1467.patch
    - xdmf_triangle_PR1468.patch
    - vtk_5.1_PR1478.patch
    - paraview_plugin_cellblocks_PR1483.patch

 -- Drew Parsons <dparsons@debian.org>  Thu, 24 Oct 2024 10:51:23 +0200

python-meshio (7.0.0-really-5.3.5-2) unstable; urgency=medium

  * install paraview-meshio-plugin.py in usr/share/paraview/plugins/
    paraview will be reconfigured to read that dir.
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Wed, 23 Oct 2024 10:08:17 +0200

python-meshio (7.0.0-really-5.3.5-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patch pyproject.toml_depends.patch
  * debian/watch: use uversionmangle to sort real upstream versions
    against 7.0.0 (which was a github version glitch)
  * debian/control: update Uploaders
  * update list of binary mesh files in debian/source/include-binaries
  * The source repos use LFS to store test mesh files. To generate the
    orig tarball with real files not LFS references, use git archive
    not gbp export-orig. See debian/README.source.
  * install paraview v5.9 plugin directly from tools dir

 -- Drew Parsons <dparsons@debian.org>  Mon, 12 Feb 2024 18:06:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: python-meshio
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
-           Nico Schlömer <nico.schloemer@gmail.com>
+Uploaders: Drew Parsons <dparsons@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                dpkg-dev (>= 1.17.14),
                pandoc,
                python3-all:any,
                python3-h5py <!nocheck>,
-               python3-importlib-metadata <!nocheck>,
                python3-lxml <!nocheck>,
                python3-netcdf4 <!nocheck>,
                python3-numpy (>= 1.20.0~),
@@ -21,7 +19,7 @@
                python3-setuptools (>= 42~),
                python3-wheel
 #               python3-vtk7 <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/python-meshio
 Vcs-Git: https://salsa.debian.org/science-team/python-meshio.git
 Homepage: https://github.com/nschloe/meshio

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=meshio
export PYBUILD_DESTDIR_python3=debian/python3-$(PYBUILD_NAME)

# Don't install files generated by the test suite (#892019).
export PYBUILD_AFTER_TEST=find {build_dir} -maxdepth 1 -type f -delete

PY3DEF=$(shell py3versions -dv )

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_clean:
	rm -rf src/meshio.egg-info
	rm -f msh2xdmf.1

execute_after_dh_auto_build:
	pandoc -s -t man debian/msh2xdmf.md \
		-o msh2xdmf.1

execute_after_dh_auto_install:
	dh_movefiles -pmeshio-tools --sourcedir=debian/python3-meshio usr/bin

=== debian/tests/control ===
--- 
+++ 
@@ -8,3 +8,4 @@
  python3-h5py,
  python3-netcdf4,
  python3-requests
+Restrictions: allow-stderr
